4

I am trying to use moderncv on Ubuntu 11.10. The class is in texlive-latex-extra but it seems to be an old version and it does not recognize some new commands.

I would like to either upgrade the class system-wide or, preferably, override it locally for a given user or project. I tried putting the class file (from CTAN) in the same folder as my .tex file but the compiler complains about redefined commands.

How can I fix this issue?

1
  • 1
    The ubuntu latex packages are really outdated. Check the links in Axel's answer and install from the net.
    – pmav99
    Commented Feb 1, 2012 at 8:27

1 Answer 1

7

Just forget the TeXlive version from the Ubuntu repositories and install the real stuff:

Getting TexLive installation to work

How to install "vanilla" TeXLive on Debian or Ubuntu?

Versions of TeXLive under Ubuntu

A comment on the merits of the net installation. It is not ubuntu specific but the main points are still valid.

3
  • I found installing a dummy package not necessary. The way set felt more natural to was to install texlive from its homepage. With Kile as an editor one needs to compile Kile from source, which is well explained on the homepage and done in 2 or 3 steps. Kile can't be installed from Synaptics as this would trigger the download of the old texlive. The upside of compiling Kile is that you get the latest version, so def. worth it
    – Martin H
    Commented Feb 1, 2012 at 10:21
  • I guess I'll do that but assume I am not sysadmin on the machine, is there now way I can tell the compiler to use a given .cls file to provide a class instead of the one in the main installation?
    – Max
    Commented Feb 2, 2012 at 21:50
  • You can install TL2011 as user, too, no need to be admin. Regarding your question, take a look at tex.stackexchange.com/questions/38978/… , using ~/texmf as folder.
    – user2574
    Commented Feb 3, 2012 at 7:34

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .